Get one locator

get

/fscmRestApi/resources/11.13.18.05/activeLocators/{InventoryLocationId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : activeLocators-item-response
Type: object
Show Source
  • Read Only: true
    Abbreviation that determines whether or not the inventory is nettable. Contains one of the following values: 1 or 2. If 1, then inventory is nettable. If 2, then inventory isn't nettable. There's no default value for this attribute.
  • Read Only: true
    Maximum Length: 50
    Description of the locator.
  • Read Only: true
    Date when the warehouse disabled the locator.
  • Read Only: true
    Maximum Length: 1
    Contains one of the following values: true or false. If true, then a full LPN transaction is enforced for the item in the locator. If false, then the full LPN transaction isn't enforced.
  • Read Only: true
    Abbreviation that determines whether or not to include the inventory when calculating the inventory that's available to promise. Contains one of the following values: 1 or 2. If 1, then include inventory in the available to promise calculation. If 2, then don't include inventory in the available to promise calculation. There's no default value for this attribute.
  • Read Only: true
    Value that uniquely identifies the inventory locator.
  • Read Only: true
    Maximum Length: 30
    Value that identifies the type of location. Valid values include 1,2,3, and so on. A list of accepted values is defined in the lookup INV_LOCATOR_TYPES. There's no default value for this attribute.
  • Links
  • Read Only: true
    Maximum Length: 4000
    Physical area in the subinventory, such as a row, aisle, bin, or shelf, that stores the item.
  • Read Only: true
    Maximum Length: 80
    Name of the type of locator. Valid values include Dock door, Staging lane, and so on. A list of accepted values is defined in the lookup INV_LOCATOR_TYPES. There's no default value for this attribute.
  • Read Only: true
    Indicates whether the subinventory holds loose materials or LPNs.
  • Read Only: true
    Maximum Length: 18
    Abbreviation that identifies the organization.
  • Read Only: true
    Value that uniquely identifies the organization.
  • Read Only: true
    Maximum Length: 240
    Name of the organization.
  • Read Only: true
    Determines whether the locator belongs to a subinventory enabled as a Periodic Automatic Replenishment location. Contains one of the following values. 1: Yes 2: No. The default value is 2.
  • Read Only: true
    Sequence to use when picking the item.
  • Read Only: true
    Abbreviation that determines whether or not the warehouse can reserve the inventory in the subinventory. Contains one of the following values: 1 or 2. If 1, then the warehouse can reserve the inventory in the subinventory. If 2, then the warehouse can't reserve the inventory in the subinventory. There's no default value for this attribute.
  • Read Only: true
    Maximum Length: 80
    Abbreviation that identifies the status.
  • Read Only: true
    Value that uniquely identifies the status.
  • Read Only: true
    A number representing the structure instance of the source locator.
  • Read Only: true
    Maximum Length: 10
    Code of the subinventory.
  • Read Only: true
    Maximum Length: 255
    Description of the subinventory.
  • Read Only: true
    Value that uniquely identifies the subinventory.
  • Read Only: true
    Maximum Length: 255
    Name of the subinventory.
Back to Top

Examples

This example describes how to get one active locator.

Example cURL Command

Use the following cURL command to submit a request on the REST resource:

curl -u username:password "https://servername/fscmRestApi/resources/version/activeLocators?onlyData=true&q=Locator=value"

For example, the following command gets active locator VC1.1.1:

curl -u username:password "https://servername/fscmRestApi/resources/version/activeLocators?onlyData=true&q=Locator=VC1.1.1"

Example Response Body

The following example includes the contents of the response body in JSON format:

{
  "items" : [ {
    "InventoryLocationId" : 3148,
    "Locator" : "VC1.1.1",
    "OrganizationId" : 207,
    "OrganizationName" : "Tall Manufacturing\t\t",
    "OrganizationCode" : "M1",
    "SubinventoryId" : 5223,
    "SubinventoryCode" : "VCSUB1",
    "Description" : "Test",
    "DisableDate" : null,
    "InventoryLocationType" : "3",
    "LocatorType" : "Storage location",
    "PickingOrder" : null,
    "StatusId" : 1,
    "StatusCode" : "Active"
  } ],
  "count" : 1,
  "hasMore" : false,
  "limit" : 25,
  "offset" : 0,
  "links" : [ {
    "rel" : "self",
    "href" : "https://servername/logisticsApi/resources/version/activeLocators",
    "name" : "activeLocators",
    "kind" : "collection"
  } ]
}
Back to Top